# eric5.DebugClients.Python.AsyncIO

Module implementing a base class of an asynchronous interface for the debugger.

### Global Attributes

None

### Classes

AsyncIO | Class implementing asynchronous reading and writing.

### Functions

None

## AsyncIO

Class implementing asynchronous reading and writing.

### Derived from

object

### Class Attributes

None

### Class Methods

None

### Methods

AsyncIO | Constructor
disconnect | Public method to disconnect any current connection.
readReady | Public method called when there is data ready to be read.
setDescriptors | Public method called to set the descriptors for the connection.
write | Public method to write a string.
writeReady | Public method called when we are ready to write data.

### Static Methods

None

#### AsyncIO (Constructor)

AsyncIO()

Constructor

#### AsyncIO.disconnect

disconnect()

Public method to disconnect any current connection.

#### AsyncIO.readReady

readReady(fd)

Public method called when there is data ready to be read.

fd
  file descriptor of the file that has data to be read (int)

#### AsyncIO.setDescriptors

setDescriptors(rfd, wfd)

Public method called to set the descriptors for the connection.

rfd
  file descriptor of the input file (int)
wfd
  file descriptor of the output file (int)

#### AsyncIO.write

write(s)

Public method to write a string.

s
  the data to be written (string)

#### AsyncIO.writeReady

writeReady(fd)

Public method called when we are ready to write data.

fd
  file descriptor of the file that has data to be written (int)

Up